BLOCKDEV(8)

NOME
blockdev - chamada de ioctls de dispositivos de bloco pela linha de comando

SINOPSE

blockdev [-q] [-v] comando [comando...] dispositivo [dispositivo...]

blockdev --report [dispositivo...]

blockdev -h|-V

DESCRIÇÃO

O utilitário blockdev permite chamar ioctls de dispositivo de bloco a partir da linha de comando.

OPÇÕES

-q
    modo silencioso.

-v
    Modo detalhado.

--report
    Imprime um relatório para o dispositivo especificado. É possível dar vários dispositivos. Se nenhum for fornecido, todos os dispositivos que aparecem em /proc/partitions são mostrados. Observe que a partição StartSec está em setores de 512 bytes.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Display version and exit.

COMANDOS

É possível dar vários dispositivos e vários comandos.

--flushbufs
    Descarrega buffers.

--getalignoff
    Obtém posição de alinhamento.

--getbsz
    Imprime o tamanho do bloco em bytes. Este tamanho não descreve a topologia do dispositivo. É o tamanho usado internamente pelo kernel e pode ser modificado (por exemplo) pelo driver do sistema de arquivos na montagem.

--getdiscardzeroes
    Obtém status de suporte a descarte de zeros

--getdiskseq
    Obtém número de sequência do disco.

--getzonesz
    Obtém tamanho da zona em setores de 512 bytes.

--getfra
    Obtém o readahead do sistema de arquivos setores de 512 bytes.

--getiomin
    Obtém tamanho de E/S mínimo.

--getioopt
    Obtém tamanho de E/S ótimo.

--getmaxsect
    Obtém máximo de setores por requisição.

--getpbsz
    Obtém tamanho de bloco físico (setor).

--getra
    Imprime readhead (em setores de 512 bytes).

--getro
    Obtém somente leitura. Imprime 1 se o dispositivo for somente leitura, 0 caso contrário.

--getsize64
    Imprime o tamanho do dispositivo em bytes.

--getsize
    Imprime o tamanho do dispositivo (32 bits!) em setores. Descontinuado em favor da opção --getsz.

--getss
    Imprime o tamanho do setor lógico em bytes - geralmente 512.

--getsz
    Obtém o tamanho em setores de 512 bytes.

--rereadpt
    Reread partition table.

--setbsz bytes
    Define o tamanho do bloco. Observe que o tamanho do bloco é específico para o descritor de arquivo atual abrindo o dispositivo de bloco, de modo que a alteração do tamanho do bloco persiste enquanto blockdev estiver com o dispositivo aberto e é perdido quando blockdev sai.

--setfra setores
    Define readahead do sistema de arquivos (igual a --setra em kernels 2.6).

--setra setores
    Define readahead (em setores de 512 bytes).

--setro
    Define somente leitura. O acesso atualmente ativo ao dispositivo pode não ser afetado pela mudança. Por exemplo, um sistema de arquivos já montado no modo de leitura e gravação não será afetado. A mudança se aplica após a remontagem.

--setrw
    Define leitura e escrita.

AUTORES

blockdev foi escrito por Andries E. Brouwer e reescrito por Karel Zak.

RELATANDO PROBLEMAS

For bug reports, use the

DISPONIBILIDADE

O comando blockdev é parte do pacote util-linux que pode ser baixado do